import request from '@/utils/request'

//获取产品类型
export function listProductType(data) {
  return request({
    url: '/system/web/productType/all',
    method: 'post',
    data: data
  })
}

// 查询产品列表
export function listProduct(data) {
  return request({
    url: '/system/web/goods/searchJoinListByPage',
    method: 'post',
    data: data
  })
}

//产品删除
export function delProduct(data) {
  return request({
    url: '/system/web/goods/delete',
    method: 'post',
    data: data
  })
}

//商品上下架
export function productAc(data) {
  return request({
    url: '/system/web/goods/shelves',
    method: 'post',
    data: data
  })
}
